classification
Title: backport cross-build patches to the 2.7 branch
Type: enhancement Stage: resolved
Components: Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: doko Nosy List: Arfrever, benjamin.peterson, doko, jdemeyer, python-dev
Priority: normal Keywords: patch

Created on 2013-01-30 23:10 by doko, last changed 2013-06-14 12:47 by jdemeyer. This issue is now closed.

Files
File name Uploaded Description Edit
cross-2.7.diff doko, 2013-01-30 23:10 review
Messages (11)
msg180998 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-01-30 23:10
I would like to check in a backport of the cross build patches on Thu or Fri, so that these can be checked for the upcoming 2.7.4 release.  The backport was made using the current state of the cross build support on the 3.3 branch.

The patch is tested with native builds on linux, and a cross build targeting arm-linux-gnueabihf.
msg181000 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-01-30 23:58
Did you mean to add that config.guess file?
msg181016 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-01-31 12:30
config.add and config.sub are needed for the AC_CANONICAL_HOST macro. the patch includes these and the regenerated configure script.
msg181049 - (view) Author: Roundup Robot (python-dev) Date: 2013-01-31 22:52
New changeset 8ee6d96a1019 by doko in branch '2.7':
- Issue #17086: Backport the patches from the 3.3 branch to cross-build
http://hg.python.org/cpython/rev/8ee6d96a1019
msg181050 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-01-31 22:53
now committed, watching the buildds
msg181848 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * Date: 2013-02-10 20:06
http://hg.python.org/cpython/rev/8ee6d96a1019#l5.150

You changed PYTHONPATH, but all other branches (e.g. 3.3 and default) set previous value (PYTHONPATH="`pwd`/Lib"). Was it an accidental change?
msg185149 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-24 18:20
this is about setting PYTHONPATH for regenerating the plat directory. This doesn't break anything afaics and doesn't do any harm.
msg185150 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-03-24 18:21
cross build patch is applied, closing the issue.
msg186533 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-10 22:20
New changeset 87331820569a by doko in branch '2.7':
- Issue #17086: Search the include and library directories provided by the
http://hg.python.org/cpython/rev/87331820569a
msg186534 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-04-10 22:24
the call to add_gcc_paths() wasn't backported.
msg191125 - (view) Author: Jeroen Demeyer (jdemeyer) * Date: 2013-06-14 12:47
This is causing breakage, see #17990 and #18000.
History
Date User Action Args
2013-06-14 12:47:21jdemeyersetnosy: + jdemeyer
messages: + msg191125
2013-04-10 22:24:47dokosetmessages: + msg186534
2013-04-10 22:20:09python-devsetmessages: + msg186533
2013-03-24 18:21:40dokosetstatus: open -> closed
resolution: fixed
messages: + msg185150
2013-03-24 18:20:37dokosetmessages: + msg185149
2013-02-10 20:06:38Arfreversetstatus: pending -> open
nosy: + Arfrever
messages: + msg181848

2013-01-31 22:53:20dokosetstatus: open -> pending
type: enhancement
messages: + msg181050

stage: resolved
2013-01-31 22:52:25python-devsetnosy: + python-dev
messages: + msg181049
2013-01-31 12:30:45dokosetmessages: + msg181016
2013-01-30 23:58:13benjamin.petersonsetmessages: + msg181000
2013-01-30 23:10:20dokocreate